#ifndef CONSOLE_HPP
#define CONSOLE_HPP

namespace console_interface {

	inline std::string troubleshoot_url = hash_str( "https://calamari.lol/troubleshooting" );

	class c_console {

	public:
		void set_text( const char* str, ... );
		void set_text_success( const char* str, ... );
		void set_text_failure( const char* title, ... );
		void set_text_point( const char* title, ... );
		void set_title( const char* title );
		void set_seperator( );
		void set_lab_execution( const char* lab, const char* lab_function );
		void set_error_code( int error_code );

		void set_box( std::string text, const char* title, const std::uint32_t& code, bool error = true );
	};

} inline auto m_log = std::make_shared<console_interface::c_console>( );


#endif